CRMchat APIBeta
Telegram APIPayments

payments.getResaleStarGifts

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getResaleStarGifts

Get collectible gifts of a specific type currently on resale, see here » for more info. sort_by_price and sort_by_num are mutually exclusive, if neither are set results are sorted by the unixtime (descending) when their resell price was last changed. See here » for detailed documentation on this method.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get collectible gifts of a specific type currently on resale, see here » for more info. sort_by_price and sort_by_num are mutually exclusive, if neither are set results are sorted by the unixtime (descending) when their resell price was last changed. See here » for detailed documentation on this method.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getResaleStarGifts" \  -H "Content-Type: application/json" \  -d '{    "params": {      "giftId": "string",      "offset": "string",      "limit": 0    }  }'
{  "result": {    "_": "payments.resaleStarGifts",    "count": 0,    "gifts": [      {        "_": "starGift",        "limited": true,        "soldOut": true,        "birthday": true,        "requirePremium": true,        "limitedPerUser": true,        "peerColorAvailable": true,        "auction": true,        "id": "string",        "sticker": {          "_": "documentEmpty",          "id": "string"        },        "stars": "string",        "availabilityRemains": 0,        "availabilityTotal": 0,        "availabilityResale": "string",        "convertStars": "string",        "firstSaleDate": 0,        "lastSaleDate": 0,        "upgradeStars": "string",        "resellMinStars": "string",        "title": "string",        "releasedBy": {          "_": "peerUser",          "userId": 0        },        "perUserTotal": 0,        "perUserRemains": 0,        "lockedUntilDate": 0,        "auctionSlug": "string",        "giftsPerRound": 0,        "auctionStartDate": 0,        "upgradeVariants": 0,        "background": {          "_": "starGiftBackground",          "centerColor": 0,          "edgeColor": 0,          "textColor": 0        }      }    ],    "nextOffset": "string",    "attributes": [      {        "_": "starGiftAttributeModel",        "crafted": true,        "name": "string",        "document": {          "_": "documentEmpty",          "id": "string"        },        "rarity": {          "_": "starGiftAttributeRarity",          "permille": 0        }      }    ],    "attributesHash": "string",    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "counters": [      {        "_": "starGiftAttributeCounter",        "attribute": {          "_": "starGiftAttributeIdModel",          "documentId": "string"        },        "count": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}